import { defineCollection, z } from "astro:content";

const pages = defineCollection({
    schema: z.object({
        title: z.string(),
        description: z.string().optional(),
        image: z
            .object({
                src: z.string(),
                alt: z.string(),
            })
            .optional(),
    }),
});

export const collections = { 
    'pages': pages,
 };